# -*- coding: cp1250 -*-

from Tkinter import *
import random

KROK = 30   # velikost jednoho tvereku
OKRAJ = 20  # velikost okraje
DELKA = 10  # poet pol
BARVA=['white', 'red', 'lightgreen', 'yellow']   # barviky (free bonus)

def ctverec(x, y, barva):
    u"""Vytiskne tvereek na souadnicch x, y zadanou barvou."""

    levy = x*KROK + OKRAJ
    pravy = levy + KROK
    levy = x*KROK + OKRAJ
    horni = y*KROK + OKRAJ
    dolni = horni + KROK
    canvas.create_rectangle(levy, horni, pravy, dolni, fill=barva)


def sachovnice():
    u"""Vymalovn achovnice s nhodnm druhem bakteri v bukch."""

    for y in xrange(DELKA):
        for x in xrange(DELKA):
            bakterie = random.randint(0,len(BARVA)-1)
            ctverec(x, y, BARVA[bakterie])


# Inicializace Tkinter.
root = Tk()
root.title(u"achovnice")
frame = Frame(root)
frame.pack()
canvas = Canvas(frame,
                bg='white', 
                height=DELKA*KROK+2*OKRAJ,
                width=DELKA*KROK+2*OKRAJ)
canvas.pack()

# Vykreslen achovnice.
sachovnice()
root.mainloop()

